<template>
    <svg xmlns="http://www.w3.org/2000/svg" width="37" height="36" viewBox="0 0 37 36" fill="none">
        <g clip-path="url(#clip0_125_21902)">
            <rect x="0.464844" width="36" height="36" :fill="primaryColor" />
            <path
                d="M15.4648 15.6C15.4648 13.9431 16.808 12.6 18.4648 12.6C20.1217 12.6 21.4648 13.9431 21.4648 15.6C21.4648 17.2569 20.1217 18.6 18.4648 18.6C16.808 18.6 15.4648 17.2569 15.4648 15.6Z"
                :fill="whiteColor" />
            <path fill-rule="evenodd" clip-rule="evenodd"
                d="M18.4648 9C13.4943 9 9.46484 13.0294 9.46484 18C9.46484 22.9706 13.4943 27 18.4648 27C23.4354 27 27.4648 22.9706 27.4648 18C27.4648 13.0294 23.4354 9 18.4648 9ZM10.6648 18C10.6648 13.6922 14.157 10.2 18.4648 10.2C22.7727 10.2 26.2648 13.6922 26.2648 18C26.2648 20.2195 25.3378 22.2224 23.8499 23.6428C23.6687 21.4903 21.8642 19.8 19.6648 19.8H17.2648C15.0655 19.8 13.261 21.4903 13.0798 23.6428C11.5919 22.2224 10.6648 20.2195 10.6648 18Z"
                :fill="whiteColor" />
        </g>
        <defs>
            <clipPath id="clip0_125_21902">
                <rect x="0.464844" width="36" height="36" rx="15" :fill="whiteColor" />
            </clipPath>
        </defs>
    </svg>
</template>
<script>
import { $iconColors } from '@themeConfig'
export default {
    data() {
        return {
            primaryColor: $iconColors.primary, // Initial color
            whiteColor: $iconColors.active, // Initial color
        };
    },
}
</script>